| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::DCursorTracker Class Reference

This class implements a window which looks like a tool tip. More...

Inheritance diagram for Digikam::DCursorTracker:

## Public Member Functions
| DCursorTracker (const QString &txt, QWidget *const parent, Qt::Alignment align=Qt::AlignCenter)
void | refresh ()
void | setEnable (bool b)
void | setKeepOpen (bool b)
void | setText (const QString &txt)
| Overload to make sure the widget size is correct.
void | setTrackerAlignment (Qt::Alignment alignment)
void | triggerAutoShow (int timeout=2000)

## Protected Member Functions
bool | eventFilter (QObject *, QEvent *) override
void | paintEvent (QPaintEvent *) override

## Detailed Description

It will follow the cursor when it's over a specified widget.